diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-raw-socket-impl.h ns-3.44/src/internet/model/ipv6-raw-socket-impl.h
--- ns-3.43/src/internet/model/ipv6-raw-socket-impl.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-raw-socket-impl.h	2025-03-09 16:55:49.399371100 -0700
@@ -23,10 +23,10 @@
 class Node;
 
 /**
- * \ingroup socket
- * \ingroup ipv6
+ * @ingroup socket
+ * @ingroup ipv6
  *
- * \brief IPv6 raw socket.
+ * @brief IPv6 raw socket.
  *
  * A RAW Socket typically is used to access specific IP layers not usually
  * available through L4 sockets, e.g., ICMP. The implementer should take
@@ -38,7 +38,7 @@
  * behavior.
  *
  * A correct example is (from src/applications/model/radvd.cc):
- * \code
+ * @code
    if (!m_socket)
      {
        TypeId tid = TypeId::LookupByName ("ns3::Ipv6RawSocketFactory");
@@ -49,15 +49,15 @@
        m_socket->SetAttribute ("Protocol", UintegerValue(Ipv6Header::IPV6_ICMPV6));
        m_socket->SetRecvCallback (MakeCallback (&Radvd::HandleRead, this));
      }
- * \endcode
+ * @endcode
  *
  */
 class Ipv6RawSocketImpl : public Socket
 {
   public:
     /**
-     * \brief Get the type ID of this class.
-     * \return type ID
+     * @brief Get the type ID of this class.
+     * @return type ID
      */
     static TypeId GetTypeId();
 
@@ -65,16 +65,16 @@
     ~Ipv6RawSocketImpl() override;
 
     /**
-     * \brief Set the node associated with this socket.
-     * \param node node to set
+     * @brief Set the node associated with this socket.
+     * @param node node to set
      */
     void SetNode(Ptr<Node> node);
 
     Socket::SocketErrno GetErrno() const override;
 
     /**
-     * \brief Get socket type (NS3_SOCK_RAW)
-     * \return socket type
+     * @brief Get socket type (NS3_SOCK_RAW)
+     * @return socket type
      */
     Socket::SocketType GetSocketType() const override;
 
@@ -103,17 +103,17 @@
                        std::vector<Ipv6Address> sourceAddresses) override;
 
     /**
-     * \brief Set protocol field.
-     * \param protocol protocol to set
+     * @brief Set protocol field.
+     * @param protocol protocol to set
      */
     void SetProtocol(uint16_t protocol);
 
     /**
-     * \brief Forward up to receive method.
-     * \param p packet
-     * \param hdr IPv6 header
-     * \param device device
-     * \return true if forwarded, false otherwise
+     * @brief Forward up to receive method.
+     * @param p packet
+     * @param hdr IPv6 header
+     * @param device device
+     * @return true if forwarded, false otherwise
      */
     bool ForwardUp(Ptr<const Packet> p, Ipv6Header hdr, Ptr<NetDevice> device);
 
@@ -121,44 +121,44 @@
     bool GetAllowBroadcast() const override;
 
     /**
-     * \brief Clean the ICMPv6 filter structure
+     * @brief Clean the ICMPv6 filter structure
      */
     void Icmpv6FilterSetPassAll();
 
     /**
-     * \brief Set the filter to block all the ICMPv6 types
+     * @brief Set the filter to block all the ICMPv6 types
      */
     void Icmpv6FilterSetBlockAll();
 
     /**
-     * \brief Set the filter to pass one ICMPv6 type
-     * \param type the ICMPv6 type to pass
+     * @brief Set the filter to pass one ICMPv6 type
+     * @param type the ICMPv6 type to pass
      */
     void Icmpv6FilterSetPass(uint8_t type);
 
     /**
-     * \brief Set the filter to block one ICMPv6 type
-     * \param type the ICMPv6 type to block
+     * @brief Set the filter to block one ICMPv6 type
+     * @param type the ICMPv6 type to block
      */
     void Icmpv6FilterSetBlock(uint8_t type);
 
     /**
-     * \brief Ask the filter about the status of one ICMPv6 type
-     * \param type the ICMPv6 type
-     * \return true if the ICMP type is passing through
+     * @brief Ask the filter about the status of one ICMPv6 type
+     * @param type the ICMPv6 type
+     * @return true if the ICMP type is passing through
      */
     bool Icmpv6FilterWillPass(uint8_t type);
 
     /**
-     * \brief Ask the filter about the status of one ICMPv6 type
-     * \param type the ICMPv6 type
-     * \return true if the ICMP type is being blocked
+     * @brief Ask the filter about the status of one ICMPv6 type
+     * @param type the ICMPv6 type
+     * @return true if the ICMP type is being blocked
      */
     bool Icmpv6FilterWillBlock(uint8_t type);
 
   private:
     /**
-     * \brief IPv6 raw data and additional information.
+     * @brief IPv6 raw data and additional information.
      */
     struct Data
     {
@@ -168,52 +168,52 @@
     };
 
     /**
-     * \brief Dispose object.
+     * @brief Dispose object.
      */
     void DoDispose() override;
 
     /**
-     * \brief Last error number.
+     * @brief Last error number.
      */
     mutable Socket::SocketErrno m_err;
 
     /**
-     * \brief Node.
+     * @brief Node.
      */
     Ptr<Node> m_node;
 
     /**
-     * \brief Source address.
+     * @brief Source address.
      */
     Ipv6Address m_src;
 
     /**
-     * \brief Destination address.
+     * @brief Destination address.
      */
     Ipv6Address m_dst;
 
     /**
-     * \brief Protocol.
+     * @brief Protocol.
      */
     uint16_t m_protocol;
 
     /**
-     * \brief Packet waiting to be processed.
+     * @brief Packet waiting to be processed.
      */
     std::list<Data> m_data;
 
     /**
-     * \brief Flag to shutdown send capability.
+     * @brief Flag to shutdown send capability.
      */
     bool m_shutdownSend;
 
     /**
-     * \brief Flag to shutdown receive capability.
+     * @brief Flag to shutdown receive capability.
      */
     bool m_shutdownRecv;
 
     /**
-     * \brief Struct to hold the ICMPv6 filter
+     * @brief Struct to hold the ICMPv6 filter
      */
     struct Icmpv6Filter
     {
@@ -221,7 +221,7 @@
     };
 
     /**
-     * \brief ICMPv6 filter.
+     * @brief ICMPv6 filter.
      */
     Icmpv6Filter m_icmpFilter;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-route.h ns-3.44/src/internet/model/ipv6-route.h
--- ns-3.43/src/internet/model/ipv6-route.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-route.h	2025-03-09 16:55:49.399371100 -0700
@@ -22,206 +22,206 @@
 class NetDevice;
 
 /**
- * \ingroup ipv6Routing
+ * @ingroup ipv6Routing
  *
- * \brief IPv6 route cache entry.
+ * @brief IPv6 route cache entry.
  */
 class Ipv6Route : public SimpleRefCount<Ipv6Route>
 {
   public:
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6Route();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     virtual ~Ipv6Route();
 
     /**
-     * \brief Set destination address.
-     * \param dest IPv6 destination address
+     * @brief Set destination address.
+     * @param dest IPv6 destination address
      */
     void SetDestination(Ipv6Address dest);
 
     /**
-     * \brief Get destination address.
-     * \return destination address
+     * @brief Get destination address.
+     * @return destination address
      */
     Ipv6Address GetDestination() const;
 
     /**
-     * \brief Set source address.
-     * \param src IPv6 source address
+     * @brief Set source address.
+     * @param src IPv6 source address
      */
     void SetSource(Ipv6Address src);
 
     /**
-     * \brief Get source address.
-     * \return source address
+     * @brief Get source address.
+     * @return source address
      */
     Ipv6Address GetSource() const;
 
     /**
-     * \brief Set gateway address.
-     * \param gw IPv6 gateway address
+     * @brief Set gateway address.
+     * @param gw IPv6 gateway address
      */
     void SetGateway(Ipv6Address gw);
 
     /**
-     * \brief Get gateway address.
-     * \return gateway address
+     * @brief Get gateway address.
+     * @return gateway address
      */
     Ipv6Address GetGateway() const;
 
     /**
-     * \brief Set output device for outgoing packets.
-     * \param outputDevice output device
+     * @brief Set output device for outgoing packets.
+     * @param outputDevice output device
      */
     void SetOutputDevice(Ptr<NetDevice> outputDevice);
 
     /**
-     * \brief Get output device.
-     * \return output device
+     * @brief Get output device.
+     * @return output device
      */
     Ptr<NetDevice> GetOutputDevice() const;
 
   private:
     /**
-     * \brief Destination address.
+     * @brief Destination address.
      */
     Ipv6Address m_dest;
 
     /**
-     * \brief source address.
+     * @brief source address.
      */
     Ipv6Address m_source;
 
     /**
-     * \brief Gateway address.
+     * @brief Gateway address.
      */
     Ipv6Address m_gateway;
 
     /**
-     * \brief Output device.
+     * @brief Output device.
      */
     Ptr<NetDevice> m_outputDevice;
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv6 route
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv6 route
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv6Route& route);
 
 /**
- * \ingroup ipv6Routing
+ * @ingroup ipv6Routing
  *
- * \brief IPv6 multicast route entry.
+ * @brief IPv6 multicast route entry.
  */
 class Ipv6MulticastRoute : public SimpleRefCount<Ipv6MulticastRoute>
 {
   public:
     /**
-     * \brief Maximum number of multicast interfaces on a router.
+     * @brief Maximum number of multicast interfaces on a router.
      */
     static const uint32_t MAX_INTERFACES = 16;
 
     /**
-     * \brief Maximum Time-To-Live (TTL).
+     * @brief Maximum Time-To-Live (TTL).
      */
     static const uint32_t MAX_TTL = 255;
 
     /**
-     * \brief Constructor.
+     * @brief Constructor.
      */
     Ipv6MulticastRoute();
 
     /**
-     * \brief Destructor.
+     * @brief Destructor.
      */
     virtual ~Ipv6MulticastRoute();
 
     /**
-     * \brief Set IPv6 group.
-     * \param group Ipv6Address of the multicast group
+     * @brief Set IPv6 group.
+     * @param group Ipv6Address of the multicast group
      */
     void SetGroup(const Ipv6Address group);
 
     /**
-     * \brief Get IPv6 group.
-     * \return Ipv6Address of the multicast group
+     * @brief Get IPv6 group.
+     * @return Ipv6Address of the multicast group
      */
     Ipv6Address GetGroup() const;
 
     /**
-     * \brief Set origin address.
-     * \param origin Ipv6Address of the origin address
+     * @brief Set origin address.
+     * @param origin Ipv6Address of the origin address
      */
     void SetOrigin(const Ipv6Address origin);
 
     /**
-     * \brief Get source address.
-     * \return Ipv6Address of the origin address
+     * @brief Get source address.
+     * @return Ipv6Address of the origin address
      */
     Ipv6Address GetOrigin() const;
 
     /**
-     * \brief Set parent for this route.
-     * \param iif Parent (input interface) for this route
+     * @brief Set parent for this route.
+     * @param iif Parent (input interface) for this route
      */
     void SetParent(uint32_t iif);
 
     /**
-     * \brief Get parent for this route.
-     * \return Parent (input interface) for this route
+     * @brief Get parent for this route.
+     * @return Parent (input interface) for this route
      */
     uint32_t GetParent() const;
 
     /**
-     * \brief set output TTL for this route.
-     * \param oif Outgoing interface index
-     * \param ttl time-to-live for this route
+     * @brief set output TTL for this route.
+     * @param oif Outgoing interface index
+     * @param ttl time-to-live for this route
      */
     void SetOutputTtl(uint32_t oif, uint32_t ttl);
 
     /**
-     * \return map of output interface Ids and TTLs for this route
+     * @return map of output interface Ids and TTLs for this route
      */
     std::map<uint32_t, uint32_t> GetOutputTtlMap() const;
 
   private:
     /**
-     * \brief IPv6 group.
+     * @brief IPv6 group.
      */
     Ipv6Address m_group;
 
     /**
-     * \brief IPv6 origin (source).
+     * @brief IPv6 origin (source).
      */
     Ipv6Address m_origin;
 
     /**
-     * \brief Source interface.
+     * @brief Source interface.
      */
     uint32_t m_parent;
 
     /**
-     * \brief TTLs.
+     * @brief TTLs.
      */
     std::map<uint32_t, uint32_t> m_ttls;
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv6 multicast route
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv6 multicast route
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const Ipv6MulticastRoute& route);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/ipv6-routing-protocol.h ns-3.44/src/internet/model/ipv6-routing-protocol.h
--- ns-3.43/src/internet/model/ipv6-routing-protocol.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/ipv6-routing-protocol.h	2025-03-09 16:55:49.399371100 -0700
@@ -28,16 +28,16 @@
 class NetDevice;
 
 /**
- * \ingroup internet
- * \defgroup ipv6Routing IPv6 Routing Protocols.
+ * @ingroup internet
+ * @defgroup ipv6Routing IPv6 Routing Protocols.
  *
  * The classes in this group implement different routing protocols
  * for IPv6. Other modules could implement further protocols.
  */
 
 /**
- * \ingroup ipv6Routing
- * \brief Abstract base class for IPv6 routing protocols.
+ * @ingroup ipv6Routing
+ * @brief Abstract base class for IPv6 routing protocols.
  *
  * Defines two virtual functions for packet routing and forwarding.  The first,
  * RouteOutput (), is used for locally originated packets, and the second,
@@ -49,8 +49,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -77,20 +77,20 @@
     typedef Callback<void, Ptr<const Packet>, const Ipv6Header&, Socket::SocketErrno> ErrorCallback;
 
     /**
-     * \brief Query routing cache for an existing route, for an outbound packet
+     * @brief Query routing cache for an existing route, for an outbound packet
      *
      * This lookup is used by transport protocols.  It does not cause any
      * packet to be forwarded, and is synchronous.  Can be used for
      * multicast or unicast.  The Linux equivalent is ip_route_output ()
      *
-     * \param p packet to be routed.  Note that this method may modify the packet.
+     * @param p packet to be routed.  Note that this method may modify the packet.
      *          Callers may also pass in a null pointer.
-     * \param header input parameter (used to form key to search for the route)
-     * \param oif Output interface device.  May be zero, or may be bound via
+     * @param header input parameter (used to form key to search for the route)
+     * @param oif Output interface device.  May be zero, or may be bound via
      *            socket options to a particular output interface.
-     * \param sockerr Output parameter; socket errno
+     * @param sockerr Output parameter; socket errno
      *
-     * \returns a code that indicates what happened in the lookup
+     * @returns a code that indicates what happened in the lookup
      */
     virtual Ptr<Ipv6Route> RouteOutput(Ptr<Packet> p,
                                        const Ipv6Header& header,
@@ -98,24 +98,24 @@
                                        Socket::SocketErrno& sockerr) = 0;
 
     /**
-     * \brief Route an input packet (to be forwarded or locally delivered)
+     * @brief Route an input packet (to be forwarded or locally delivered)
      *
      * This lookup is used in the forwarding process.  The packet is
      * handed over to the Ipv6RoutingProtocol, and will get forwarded onward
      * by one of the callbacks.  The Linux equivalent is ip_route_input ().
      * There are four valid outcomes, and a matching callbacks to handle each.
      *
-     * \param p received packet
-     * \param header input parameter used to form a search key for a route
-     * \param idev Pointer to ingress network device
-     * \param ucb Callback for the case in which the packet is to be forwarded
+     * @param p received packet
+     * @param header input parameter used to form a search key for a route
+     * @param idev Pointer to ingress network device
+     * @param ucb Callback for the case in which the packet is to be forwarded
      *            as unicast
-     * \param mcb Callback for the case in which the packet is to be forwarded
+     * @param mcb Callback for the case in which the packet is to be forwarded
      *            as multicast
-     * \param lcb Callback for the case in which the packet is to be locally
+     * @param lcb Callback for the case in which the packet is to be locally
      *            delivered
-     * \param ecb Callback to call if there is an error in forwarding
-     * \returns true if the Ipv6RoutingProtocol takes responsibility for
+     * @param ecb Callback to call if there is an error in forwarding
+     * @returns true if the Ipv6RoutingProtocol takes responsibility for
      *          forwarding or delivering the packet, false otherwise
      */
     virtual bool RouteInput(Ptr<const Packet> p,
@@ -127,55 +127,55 @@
                             const ErrorCallback& ecb) = 0;
 
     /**
-     * \brief Notify when specified interface goes UP.
+     * @brief Notify when specified interface goes UP.
      *
      * Protocols are expected to implement this method to be notified of the state change of
      * an interface in a node.
-     * \param interface the index of the interface we are being notified about
+     * @param interface the index of the interface we are being notified about
      */
     virtual void NotifyInterfaceUp(uint32_t interface) = 0;
 
     /**
-     * \brief Notify when specified interface goes DOWN.
+     * @brief Notify when specified interface goes DOWN.
      *
      * Protocols are expected to implement this method to be notified of the state change of
      * an interface in a node.
-     * \param interface the index of the interface we are being notified about
+     * @param interface the index of the interface we are being notified about
      */
     virtual void NotifyInterfaceDown(uint32_t interface) = 0;
 
     /**
-     * \brief Notify when specified interface add an address.
+     * @brief Notify when specified interface add an address.
      *
      * Protocols are expected to implement this method to be notified whenever
      * a new address is added to an interface. Typically used to add a 'network route' on an
      * interface. Can be invoked on an up or down interface.
-     * \param interface the index of the interface we are being notified about
-     * \param address a new address being added to an interface
+     * @param interface the index of the interface we are being notified about
+     * @param address a new address being added to an interface
      */
     virtual void NotifyAddAddress(uint32_t interface, Ipv6InterfaceAddress address) = 0;
 
     /**
-     * \brief Notify when specified interface add an address.
+     * @brief Notify when specified interface add an address.
      *
      * Protocols are expected to implement this method to be notified whenever
      * a new address is removed from an interface. Typically used to remove the 'network route' of
      * an interface. Can be invoked on an up or down interface.
-     * \param interface the index of the interface we are being notified about
-     * \param address a new address being added to an interface
+     * @param interface the index of the interface we are being notified about
+     * @param address a new address being added to an interface
      */
     virtual void NotifyRemoveAddress(uint32_t interface, Ipv6InterfaceAddress address) = 0;
 
     /**
-     * \brief Notify a new route.
+     * @brief Notify a new route.
      *
      * Typically this is used to add another route from IPv6 stack (i.e. ICMPv6
      * redirect case, ...).
-     * \param dst destination address
-     * \param mask destination mask
-     * \param nextHop nextHop for this destination
-     * \param interface output interface
-     * \param prefixToUse prefix to use as source with this route
+     * @param dst destination address
+     * @param mask destination mask
+     * @param nextHop nextHop for this destination
+     * @param interface output interface
+     * @param prefixToUse prefix to use as source with this route
      */
     virtual void NotifyAddRoute(Ipv6Address dst,
                                 Ipv6Prefix mask,
@@ -184,12 +184,12 @@
                                 Ipv6Address prefixToUse = Ipv6Address::GetZero()) = 0;
 
     /**
-     * \brief Notify route removing.
-     * \param dst destination address
-     * \param mask destination mask
-     * \param nextHop nextHop for this destination
-     * \param interface output interface
-     * \param prefixToUse prefix to use as source with this route
+     * @brief Notify route removing.
+     * @param dst destination address
+     * @param mask destination mask
+     * @param nextHop nextHop for this destination
+     * @param interface output interface
+     * @param prefixToUse prefix to use as source with this route
      */
     virtual void NotifyRemoveRoute(Ipv6Address dst,
                                    Ipv6Prefix mask,
@@ -198,16 +198,16 @@
                                    Ipv6Address prefixToUse = Ipv6Address::GetZero()) = 0;
 
     /**
-     * \brief Typically, invoked directly or indirectly from ns3::Ipv6::SetRoutingProtocol
-     * \param ipv6 the ipv6 object this routing protocol is being associated with
+     * @brief Typically, invoked directly or indirectly from ns3::Ipv6::SetRoutingProtocol
+     * @param ipv6 the ipv6 object this routing protocol is being associated with
      */
     virtual void SetIpv6(Ptr<Ipv6> ipv6) = 0;
 
     /**
-     * \brief Print the Routing Table entries
+     * @brief Print the Routing Table entries
      *
-     * \param stream The ostream the Routing table is printed to
-     * \param unit The time unit to be used in the report
+     * @param stream The ostream the Routing table is printed to
+     * @param unit The time unit to be used in the report
      */
     virtual void PrintRoutingTable(Ptr<OutputStreamWrapper> stream,
                                    Time::Unit unit = Time::S) const = 0;
